/* Topology Builder        Bruce D. Ray
   IUPUI Physics Dept. NMR Center
   402 N. Blackford St.
   Indianapolis, IN   46202
   USA
        Define storage for amber type forcefields
*/

/* amber type force field parameters */
          /* the atom type parameters */

char **ffatom_name;               /* name of an Amber atom type */
float *ffatom_mass;               /* mass of an Amber atom type (may be unified atom
                                            model mass and not necessarily element mass) */
float *ffatom_pol;                /* a polarizability factor */

          /* end the atom type parameters */

          /* the bond parameters */

char **bond_name1;               /* name of an Amber atom type */
char **bond_name2;               /* name of an Amber atom type */
float *bond_force;               /* Amber FF bond force */
float *bond_length;              /* Amber FF bond length */

          /* end the bond parameters */

          /* the angle parameters */

char **angle_name1;              /* name of an Amber atom type */
char **angle_name2;              /* name of an Amber atom type */
char **angle_name3;              /* name of an Amber atom type */
float *angle_force;              /* Amber FF angle force */
float *angle_angle;              /* Amber FF angle itself */

          /* end the angle parameters */

          /* the dihedral angle (torsion) parameters */

char **tors_name1;               /* name of an Amber atom type */
char **tors_name2;               /* name of an Amber atom type */
char **tors_name3;               /* name of an Amber atom type */
char **tors_name4;               /* name of an Amber atom type */
int *tors_mult;                  /* Amber FF force multiplier factor */
float *tors_force;               /* Amber FF torsion force */
float *tors_phase;               /* Amber FF torsion angle */
float *tors_term;                /* an Amber FF torsion term */

          /* end the dihedral angle (torsion) parameters */

          /* the inproper dihedral angle (torsion) parameters */

char **impro_name1;              /* name of an Amber atom type */
char **impro_name2;              /* name of an Amber atom type */
char **impro_name3;              /* name of an Amber atom type */
char **impro_name4;              /* name of an Amber atom type */
int *impro_mult;                 /* Amber FF force multiplier factor (set to 1 in code) */
int *impro_xcount;               /* Amber FF count of X's in improper */
float *impro_force;              /* Amber FF improper torsion force */
float *impro_phase;              /* Amber FF improper torsion angle */
float *impro_term;               /* an Amber FF improper torsion term */

          /* end the inproper dihedral angle (torsion) parameters */

          /* the van der Waals parameters */

char **vdw_atom_name;            /* name of an Amber atom type */
float *vdw_atom_radius;          /* Amber FF van der Waals radius (may be unified atom
                                           model radius and not necessarily element radius) */
float *vdw_atom_pot;             /* Amber FF van der Waals potential */

          /* end the van der Waals parameters */

          /* the equivalent van der Waals lists */

char ***equiv_name;             /* list of names of Amber atom types with the first name also
                                          appearing in the van der Waals parameters  */
int *equiv_count;               /* number of equivalent Amber atom types given */

          /* end the equivalent van der Waals lists */

/* end amber type force field parameters */
