/* Topology Builder        Bruce D. Ray
   IUPUI Physics Dept. NMR Center
   402 N. Blackford St.
   Indianapolis, IN   46202
   USA
        Define storage and runctions for atom types and atom type correlations
*/

/* atom type descriptors */

int num_wilds;                         /* number of wild atom entries */
char **wild_name;                      /* wild atom names array */
char ***wild_elements;                 /* list of wild atom element assignments by name */
int *wild_count;                       /* number of elements in each wild atom name */
int **wild_atno;                       /* atomic number of wild elements */

char **at_type_name;                   /* atom type name */
int *at_type_residue;                  /* atom type residue usage flag */
char **residue_name;                   /* residue name storage if needed */
int *at_type_no;                       /* atom type atomic number */
int *at_type_attached;                 /* atom type attached atoms number */
int *at_type_attached_H;               /* atom type attached hydrogens number */
int *at_type_ewd;                      /* for H, no. ewd attached to atom attached to H */
char **at_type_prop;                   /* atom type properties */
char **at_type_env;                    /* atom type chemical environments */
char **at_env_bonds;                   /* terminator to atom type line */

/* end atom type descriptors */

/* atom correlation data */

char **corr_name;                   /* name of the atom to correlate */
int *index_improper;                /* correlation impropers index */
char ***corr_to;                    /* atom names correlated to */
int *corr_num;                      /* number of correlations here */

/* end atom correlation data */

extern void read_at_types(int *at_type_cnt, int *wild_cnt, int max_type,
                          int max_wild, int just_count, char *filename);
extern void read_at_corr(int *corr_cnt, int max_corr, int just_count,
                         char *filename);
extern void release_types(int at_type_cnt, int wild_cnt);
extern void release_corr(int corr_count);
