/* Topology Builder        Bruce D. Ray
   IUPUI Physics Dept. NMR Center
   402 N. Blackford St.
   Indianapolis, IN   46202
   USA
        Define storage and functions for judging atom types on the basis
        of bonding and of chemical environment      judge_types.h
*/

#include "block_memory.h"
#include "atom_types.h"
#include "mol2.h"
#include "rings.h"

#define MAXCHAR 256

#define MAXLEVELS 10
#define MAXCHAIN 10
#define MAXENVBOND 10
#define MAXENVSTR 48
#define MAXSCAN 20

extern void init_atom_types(int atom_num, int num_bonds);
extern void free_atom_types(int atom_num);
extern void judge_atom_types(int num_types, int num_wild, int atom_num,
                             int num_bonds, char **assigned_type);
extern void bond_info(int atom_num, int num_bonds);
extern int check_AA(int number);
extern int check_NA(int number);
extern int check_BIO(int number);
extern int prop_check(int num, int mark, int num_bonds, char *prop_str);
extern int chem_environ(int num, char *env_str, char *bonds_str, int bndindx,
                        int atom_num, int num_bonds);
extern void features(char *thestr, char *compstr, int featindx, int status,
                     int *setindx);
extern void bond_feat(char *thestr, char *compstr, int featindx, int status,
                      int *setindx, int mark, int num_bonds, int num,
                      int bndtyp);
extern int junctbond(int num, int mark, int num_bonds, int bndtyp);
extern void balanced_str(char cin, char cout, char *str);
extern void enviromatch(int selection, int startnum, int chain, int maximum,
                        int num_bonds);
extern int wildmatch(char *my_atom, int my_id);
extern void dccheck(int startpoint, int *success, int chain,  int num_atoms,
                    int num_bonds);
extern int check_chain(int chain, int num_atoms, int num_bonds);
extern int check_bonds(int ida, int idb, char *bondstr, int num_bonds);

int scan_num;

/* bond information arrays */

int *sb;
int *SB;
int *db;
int *DB;
int *tb;
int *TB;
int *AB;
int *DL;

/* end bond information arrays */

/* chemical environment arrays */

char **apch;
char **env_bonds;
char **env_atom1;
char **env_atom2;
char **atom_chem;
char **envblockstr;
char ***env_atom_name;
char ***env_ap;
char ***env_strname;

int *env_len;
int *chem_indx;
int **env_con;
int **env_index;

int *selchain;
int *selindx;
int *sel_chain_indx;

int *schain_id;
int *schain_num;
int **schain_atom;

int env_bond_num;

/* end chemical environment arrays */
